// JavaScript Document

/*---------------用户登录验证---------------*/
function check(){
var userName=$("#user_name").val();
var password=$("#user_post").val();
var HasError = false;
if(userName==""){
$("#checkUserName").html("<font color='red'>用户名不能为空！</font>");
HasError = true;
}
if(password==""){
$("#checkPassword").html("<font color='red'>密码不能为空！</font>");
HasError = true;
}

if(HasError){
	return false;
}

return true;
}

function checkUser(){
	$("#checkUserName").html("")
}

function checkPwd(){
	$("#checkPassword").html("")
}

function ReplacePwd(that){
	$(that).val( $(that).val().replace(/./g,'*') )
}

/*--------------------删除框-------------------------*/

$(document).ready(function() {
	$(".del_img").click(function(){
		$(".delete_box").show();
		})
	$(".bank_cancel").click(function(){
		$(".delete_box").hide();
		})

				
	$(".add_subj").click(function(){
		$(".subject_box").show();
		})
	$(".bank_cancel").click(function(){
		$(".subject_box").hide();
		})

		
	$(".edit_subm").click(function(){
		$(".edit_subject_box").show();
		})
	$(".bank_cancel").click(function(){
		$(".edit_subject_box").hide();
		})

	$(".add_jie").click(function(){
		$(".subject_box_jie").show();
		})
	$(".bank_cancel").click(function(){
		$(".subject_box_jie").hide();
		})

		
	$(".edit_jie").click(function(){
		$(".edit_subject_box_jie").show();
		})
	$(".bank_cancel").click(function(){
		$(".edit_subject_box_jie").hide();
		})

				
	$(".add_ques").click(function(){
		$(".bank_box").show();
		})
	$(".bank_cancel").click(function(){
		$(".bank_box").hide();
		})

	$(".del_jie").click(function(){
		$(".delete_box_jie").show();
		})
	$(".bank_cancel").click(function(){
		$(".delete_box_jie").hide();
		})

				
	$(".edit_ques").click(function(){
		$(".edit_bank_box").show();
		})
	$(".bank_cancel").click(function(){
		$(".edit_bank_box").hide();
		})
	
	})		

			
/*---------------问答题  多选题  单选题  判断题  题型下拉-------------------*/
$(document).ready(function() {	
     
	 $(".radio_list").click(function(){
		$(this).children(".radiobutton").slideToggle();
		})

		
	 $(".judge_list").click(function(){
		$(this).children(".judge").slideToggle();
		})

	
	 $(".multi_list").click(function(){
		$(this).children(".multiselect").slideToggle();
		})

     
     $(".answer_list").click(function(){
		$(this).children(".answer").slideToggle();
		})

});
	

	
	
	
	
	
	
	